Wind River Support Network

HomeDefectsLIN5-21628
Fixed

LIN5-21628 : Security Advisory - php - CVE-2016-4072

Created: May 31, 2016    Updated: May 29, 2018
Resolved Date: Jun 30, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The Phar extension in PHP before 5.5.34, 5.6.x before 5.6.20, and 7.x before 7.0.5 allows remote attackers to execute arbitrary code via a crafted filename, as demonstrated by mishandling of \0 characters by the phar_analyze_path function in ext/phar/phar.c.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-4072

Other Downloads


Live chat
Online